# Function didToPublicKey

- didToPublicKey(crypto: Crypto.Implementation, did: string): {
  publicKey: Uint8Array;
  type: string;
  }

- Convert a DID (did:key) to a base64 public key.

  #### Parameters

  - ##### crypto: Crypto.Implementation

  - ##### did: string

  #### Returns {
  publicKey: Uint8Array;
  type: string;
  }

  - ##### publicKey: Uint8Array

  - ##### type: string

  - Defined in did/transformers.ts:30

Generated using TypeDoc